Page MenuHomePhabricator

webp: add version check in configuration time
ClosedPublic

Authored by woohyun on Jun 3 2020, 6:21 PM.

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 16910
Build 11239: arc lint + arc unit
woohyun created this revision.Jun 3 2020, 6:21 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

woohyun requested review of this revision.Jun 3 2020, 6:21 PM
woohyun added a reviewer: bu5hm4n.
Hermet added a comment.Jun 3 2020, 6:24 PM

@bu5hm4n could you please verify this?

stefan_schmidt accepted this revision.Jun 4 2020, 12:34 AM
stefan_schmidt added a subscriber: stefan_schmidt.

Looks good to me. What is the reason we need version 1.1.0? A specific API we use or a bugfix we need? Would be good to record the reason for the version in the commit message.

This revision is now accepted and ready to land.Jun 4 2020, 12:34 AM
Hermet added a comment.EditedJun 4 2020, 1:19 AM

Looks good to me. What is the reason we need version 1.1.0? A specific API we use or a bugfix we need? Would be good to record the reason for the version in the commit message.

@stefan_schmidt for supporting webp animation. efl webp loader started to depend on somewhat later webp apis which is supported since 1.1.0

@woohyun it would be better if you leave the specific purpose of this patch...

Thanks, with this info added ro the commit message I am happy with the patch.

Hermet closed this revision.Jun 7 2020, 7:03 PM
raster added a subscriber: raster.Jun 14 2020, 4:07 AM

do we really need 1.1.0? i have a debian installation my rockpro64 and it compiles and runs fine with 0.6.1. it can load webp images. no symbol errors, crashes or compile errors. i am thinking of dropping this down to 0.6.1 as at least empirically that is good enough (and it'd allow the CI build envs to re-enable webp again). upstream libwebp added WebPAnimDecoder in d39dc8f3cc07f0fffb73def2125ddcdf8073eafcwhich was back in september 2015. 0.6.1 came out nov 2017. so i think this is safe. possibly earlier versions might be fine too. 0.5.0 probably is the baseline for this actually (came out end of 2015 or so), but i can confirm 0.6.1 is seemingly fine. in fact i think i will drop it to 0.5.0 and then see if people complain because the anim api did come out in 0.5.0

Hermet added a comment.EditedJun 14 2020, 8:35 PM

do we really need 1.1.0? i have a debian installation my rockpro64 and it compiles and runs fine with 0.6.1. it can load webp images. no symbol errors, crashes or compile errors. i am thinking of dropping this down to 0.6.1 as at least empirically that is good enough (and it'd allow the CI build envs to re-enable webp again). upstream libwebp added WebPAnimDecoder in d39dc8f3cc07f0fffb73def2125ddcdf8073eafcwhich was back in september 2015. 0.6.1 came out nov 2017. so i think this is safe. possibly earlier versions might be fine too. 0.5.0 probably is the baseline for this actually (came out end of 2015 or so), but i can confirm 0.6.1 is seemingly fine. in fact i think i will drop it to 0.5.0 and then see if people complain because the anim api did come out in 0.5.0

we will double check it .

@herb Could you please double-check the minimum version of dependency?